
Application: gvSIG desktop - gvSIG bugs #3926
Editing a reprojected layer doesn't work
12/15/2015 03:44 PM - Andrea Antonello

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Vector editing
Target version: 2.3.0-2415
Severity: Major Add-on version:
gvSIG version: 2.2.0 Add-on build:
gvSIG build: 2313 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Working on a lot of layers, in different projections, I wanted to move some vertexes of a layer that had been reprojected (on the fly).

The layer can be put in editing mode (and deleting of features works), edit vertex tool could be selected, but then feature could not be
edited (the vertex numbers don't even appear).

I suppose that such layers are not editable by technical choice, but in that case it is mandatory to inform the user the reason.
Also it should not be possible to put those layers in editing mode.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4058: DGN y DWG no son e... Closed 01/27/2016

Associated revisions
Revision 672 - 12/31/2015 04:34 PM - Joaquín  del Cerro Murciano

refs #3926, añadido que al iniciar la edicion vectorial, si la capa esta reproyectada, avise que solo va a poder exportar los cambios, y no guardarlos, y
al terminar la edicion que tenga en cuenta si la capa esta reproyectada para mostrar el dialogo de exportar en lugar del de guardar,

History
#1 - 12/16/2015 10:00 AM - Álvaro Anguix

Can you add the log file?

#2 - 12/16/2015 11:50 AM - Andrea Antonello

I happily would, but there was nothing in the log. After the selection of the tool (which is properly logged) no other line is put in the log while trying to
edit.

#3 - 12/16/2015 11:51 AM - Andrea Antonello

But it should be very simply reproducible. Just try to edit a reprojected layer.
#4 - 12/16/2015 01:12 PM - Álvaro Anguix
- gvSIG build set to 2313
- File gvSIG.log added

Ok, tested it.

#5 - 01/18/2016 11:27 PM - Joaquín  del Cerro Murciano
- Target version changed from 98 to 2.3.0-2415
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#6 - 01/20/2016 12:46 PM - Álvaro Anguix
- Status changed from Fixed to Closed

#7 - 02/01/2016 01:40 AM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #4058: DGN y DWG no son editables added

Files
gvSIG.log 353 KB 12/16/2015 Álvaro Anguix
